SET ":view" = COALESCE(:content, '') <> '' AND COALESCE(:action, '') <> ('Edit as New');
SELECT 'button' AS component;
SELECT 'Open' AS title
, 1 AS width
, '/clip/open.sql?' AS link
;
SELECT 'New' AS title
, 1 AS width
, 'gray-500' AS color
, '/clip.sql?' AS link
;

SELECT 'form' AS component
, '/clip.sql' AS action
, CASE :view WHEN TRUE THEN 'Edit as New' ELSE 'Paste' END AS validate
, :tabler_color AS validate_color
, 'post' AS method
;
SELECT 'Paste' AS value
, '' AS label
, 1 AS width
, 'hidden' type
, 'action' AS name
WHERE NOT :view
;
SELECT 'Edit as New' AS value
, '' AS label
, 2 AS width
, 'hidden' type
, 'action' AS name
WHERE :view
;
SELECT 'Paste something here...' AS placeholder
, 'content' AS name
, CASE :view WHEN FALSE THEN 'textarea' ELSE 'hidden' END AS type
, '' AS label
--, :view AS disabled
, CASE COALESCE(:action, '')
  WHEN 'New' THEN NULL
  ELSE :content
END AS value
;
SELECT 'code' AS component;
SELECT :content AS contents WHERE :content IS NOT NULL AND COALESCE(:action, '') NOT IN ('Edit as New', 'New');